*{ margin: 0px;
  padding: 0;
box-sizing: border-box;
max-width: 100%;}

body {
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  background-color: #f5f5f5;
  color: #333;
  transition: background-color 0.3s ease;
  margin: 0;
  padding: 0;
}


  /* Navigation Bar */
  .navbar {
    background-color: #fff; 
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); 
    padding: 15px 0; 
    position: fixed;
    width: 100%;
    height: 30px;
    line-height: 30px;
    z-index: 1000;
    width: 100vw;
    height: 60px;
  }
   
  .logoimg{ height: 30px;}

  .container {
    
    margin: 0 auto;
    padding: 0 200px;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  
 
  
  .nav-links {
    list-style-type: none;
    margin: 0;
    padding: 0;
  }
  
  .nav-links li {
    display: inline-block;
    margin-right: 60px;
  }
  
  .nav-links li:last-child {
    margin-right: 0;
  }
  
  .nav-links li a {
    text-decoration: none;
    color: #333; 
    transition: text-shadow 0.3s ease; 
  }
  
  .nav-links li a:hover, #active {
    text-shadow: 0 0 1px #000; 
    color: #030303;}




 /* Home Page  Styles */

 /* Hero  Styles */

 .containerintro {
    
  margin: 0 ;
  padding: 0 50px 0px 200px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

 .welcome-section {
   background-color: #fff;
   padding: 90px 0px 0px 0px;
   text-align: left;
   width: 100vw;
   
 }
 .welcome-text{margin-bottom: 40px;}
 .welcome-content {
   margin-bottom: 5px;
   display: flex;
   flex-direction: column;
 }
 .welcome-section img{height: 700px;}
 .welcome-content h1 {
   font-size: 36px;
   font-weight: bold;
   color: #333
   ;
 }
 .welcome-content p{ margin: 20px 0;}

 .knowmore-btn {
  padding: 10px 20px;
 
  background-color: transparent; 
  border: 2px solid #1c1c1c; 
  color: #000; 
 ; 
  font-size: 16px;
  font-weight: 500;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s ease, color 0.3s ease;
  text-decoration: none; 
}

.knowmore-btn:hover {
  background-color: #000;
  color: #fff; 
 
}
 .banner {
  background: rgb(240,239,230);
  
  border-bottom: 1px solid #ddd;
}

.banner ul {
  list-style: none;
  margin: 0;
  padding: 15px 0;
  text-align: center;
}

.banner ul li {
  font-style: italic ;
  display: inline-block;
  margin: 0 60px;
  color: #3a3a3a;
  font-size: 1.3em;
  font-weight: 400;
 
 
}

 
 /* project  Styles */

.projects{
  display: flex;
  flex-direction: column;
  background-color: #ffffff;
  align-items: center;
  justify-content: center;
  height: 900px;
}
.projects h1{padding: 0px 0 50px}

.scroll2 {
  
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: center;
  align-items: center;
} 


.card {
  width: 400px;
  height: 550px;
  margin: 10px 20px;
  background-color: #fff;
  border-radius: 8px;
  overflow: hidden;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  transition: all 0.3s ease;
  cursor: pointer;
}

.card:hover {
  transform: translateY(-5px);
  box-shadow: 0 8px 16px rgb(219, 218, 203);
}

.card img {
  width: 100%;
  height: 400px;
  display: inline;
}

.projects a {text-decoration: none;}
.card-content {
  padding: 20px 40px;
  text-align: center;
}

.card-title {
  font-size: 24px;
  margin-bottom: 10px;
  color: #333333;
}

.card-description {
  font-size: 16px;
  color: #666;
}
 .view-all{ margin-top: 50px;}
 
.view-all-btn {
  padding: 10px 20px;
 
  background-color: transparent; 
  border: 2px solid #1c1c1c; 
  color: #000; 

  font-size: 16px;
  font-weight: 500;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s ease, color 0.3s ease;
  text-decoration: none;  
}

.view-all-btn:hover {
  background-color: #000;
  color: #fff; 
  
}

 /* connect  Styles */

 .contact-section{ display: flex;
  justify-content: space-around;
  align-items: center;
  height: 800px;
  background: rgb(240,239,230);
  /* background: radial-gradient(circle, rgba(240,239,230,1) 0%, rgba(255,255,255,1) 100%); */
   
    height: 750px;
}
.contact-section h5{ font-size: 1.5em;}

.containercon {
  margin-top: 100px;
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  padding: 20px;
  width: 75%;
}

.socials-box{ display: flex;
flex-direction: column;
align-items: center;
justify-content: center;}

.welcome-text2{display: flex;
flex-direction: column;

padding: 100px 0 ;
height: 100%;
max-width: 500px;}
.welcome-text2 h3{ font-size: 3.2em;}
.welcome-text2 p{ font-size: 2em;}


.social-icons {
  
      display: flex;
      flex-wrap: wrap;
      justify-content: space-between;
      width: 700px; 
      margin: 50px auto
    
    
}

.mail-icons {
  
  display: flex;
  flex-wrap: wrap;
  justify-content:space-between;
  width: 400px; 

  margin: 50px auto; 


}

.icon-box {
   width: 150px;
  text-align: center;
  margin-bottom: 60px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  align-content: center;
}

.icon-box a {
  color: #333;
  text-decoration: none;
}

.icon-box i {
  font-size: 36px;
  margin-bottom: 10px;
}

.icon-box p {
  margin: 0;
}

.icon:hover {
  text-shadow: 0 0 1px #000; 
  color: #030303;
}


 /* footer  Styles */
.mainfooter{
  width: 75%;
display: flex;
background-color: #222;
  color: #ccc;
  padding-top: 60px;
  padding-bottom: 60px;
  justify-items: center;
  justify-content: space-between;
}



.footercontainer {
  background-color: #222;
  color: #ccc;
  align-items: center;
  display: flex;
  flex-direction: column;
  
}




.footer-nav h3,
.social-media h3,
.contact-details h3 {
  color: #fff;
  margin-bottom: 20px;
  font-family: 'Roboto', sans-serif;
  font-weight: 500;
  font-size: 18px;
}

.footer-nav ul,
.social-media ul, .contact-details ul {
  list-style-type: none;
  padding: 0;
}

.footer-nav ul li,
.social-media ul li, .contact-details ul li{
  margin-bottom: 15px;
}

.footer-nav ul li a,
.social-media ul li a, .contact-details ul li a{
  color:#ccc;
  text-decoration: none;
  font-size: 16px;
}

.footer-nav ul li a:hover,
.social-media ul li a:hover, .contact-details ul li a:hover {
 color: #fff;
 text-shadow:0 0 1px #fff ;
}

.contact-details p {
  color: #ccc;
  margin: 5px 0;
  font-size: 16px;
}

.social-media{ text-align: center;}

.social-media ul {
  display: flex;
  justify-content: center;
  align-items: center;
}

.social-media ul li {
  margin-right: 15px;
}

.social-media ul li:last-child {
  margin-right: 0;
}

.social-media ul li a {
  color: #ccc;
  text-decoration: none;
  font-size: 1.3em;
  transition: filter 0.3s ease;
}



 .footerbelow{background-color: #171717;
  color: #fff;
  padding: 20px;
  text-align: center;
width: 100vw;}